Toutes les extensions en erreur aprés mise à jour.

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.3.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.3

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

Toutes les extensions en erreur aprés mise à jour.

Messagepar bastien59360 » 11 Mar 2020 à 20:16

Bonjour a tous, je ne sais pas placé ce sujet, après avoir mis a jour notre forum en version 3.3

Chaque fois que j'active une extension quelque soit, j'ai un message d'erreur que je ne comprend pas dans la partie admin :

Code: Tout sélectionner

phpBB a rencontré une erreur lors de la construction du conteneur en raison d’une extension installée. Pour cette raison, toutes les extensions ont été temporairement désactivées. Elles seront automatiquement réactivées dès que l’erreur de conteneur sera résolue. Pour cela, commencez par purger le cache de votre forum. Si cette erreur persiste, veuillez visiter le forum de support phpBB.com (en anglais) ou le forum de support phpBB-fr.com (en français).

Exception : The file "/home/bernard/www/forum/ext/sanfi/fadeheader/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line 5 (near "- @controller.helper").

#0 /home/bernard/www/forum/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(117): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile()
#1 /home/bernard/www/forum/phpbb/extension/di/extension_base.php(99): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load()
#2 /home/bernard/www/forum/phpbb/extension/di/extension_base.php(63): phpbb\extension\di\extension_base->load_services()
#3 /home/bernard/www/forum/vendor/symfony/dependency-injection/Compiler/MergeExtensionConfigurationPass.php(71): phpbb\extension\di\extension_base->load()
#4 /home/bernard/www/forum/vendor/symfony/http-kernel/DependencyInjection/MergeExtensionConfigurationPass.php(39): Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationPass->process()
#5 /home/bernard/www/forum/vendor/symfony/dependency-injection/Compiler/Compiler.php(140): Symfony\Component\HttpKernel\DependencyInjection\MergeExtensionConfigurationPass->process()
#6 /home/bernard/www/forum/vendor/symfony/dependency-injection/ContainerBuilder.php(789): Symfony\Component\DependencyInjection\Compiler\Compiler->compile()
#7 /home/bernard/www/forum/phpbb/di/container_builder.php(203): Symfony\Component\DependencyInjection\ContainerBuilder->compile()
#8 /home/bernard/www/forum/common.php(115): phpbb\di\container_builder->get_container()
#9 /home/bernard/www/forum/adm/index.php(23): require('/home/bernard/w...')
#10 {main}



Si quelqu'un pouvait me mettre sur la piste pour résoudre le problème ça serait super sympa.


DU coup j'active les extensions une a la fois.
Parce exemple Fade Header :

les détails de l'extension disent :

Prérequis de l'extension :

Version de phpBB :
>=3.1.3
Version de PHP :
>=5.3.3


Mon php est en Version de PHP : 7.4.3



Et j'ai installer la toute dernière version de l'extension censée fonctionner pour phpbb 3.3...
En l'activant l'extension fonctionne sur la page principal du forum, mais dans la partie admin l'onglet extension n'apparait pas et je n'ai pas accès aux réglages de l'extension...

Toujours en erreur.

Bastien
bastien59360
Posteur néophyte
Posteur néophyte
 
Messages: 40
Enregistré le: 03 Juin 2014 à 20:30

Re: Toutes les extensions en erreur aprés mise à jour.

Messagepar On Stage » 12 Mar 2020 à 09:54

Salut
Probablement une incompatibilité avec les fichiers .yml
Installe cette extension, si c'est bien le cas tu auras, par extension, le nom des fichiers en défaut et comment résoudre le problème
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 600
Enregistré le: 19 Mar 2018 à 17:04

Re: Toutes les extensions en erreur aprés mise à jour.

Messagepar bastien59360 » 12 Mar 2020 à 20:04

Merci je vais tester ça.

Et oui a c'est bien les .yml qui foutent la zone en les éditant a la main et en ajoutant des " ' " a la main aux déclaration après les @ ça fonctionne.

Mais je vais tester cette extension pour voir :)

Merci.

Bastien
Modifié en dernier par Steph le 12 Mar 2020 à 20:44, modifié 1 fois.
Raison: Suppression de la citation inutile
bastien59360
Posteur néophyte
Posteur néophyte
 
Messages: 40
Enregistré le: 03 Juin 2014 à 20:30


Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité